Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 963307 - Escape single underscores in spice client foreign menu labels so that they aren't intepreted as hot keys
Summary: Escape single underscores in spice client foreign menu labels so that they ar...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On: 1130598
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-15 15:50 UTC by David Jaša
Modified: 2015-09-22 13:09 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:29:58 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Totally readable font on CD (deleted)
2014-08-19 14:50 UTC, Lukas Svaty
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27033 master MERGED frontend: "escape" underscores in spice menu Never

Description David Jaša 2013-05-15 15:50:18 UTC
Description of problem:
if an underscore in menu label is encountered, gtk (and AFAIK other GUI toolkits, too) don't display the underscore and convert following character to hotkey that can be triggered with alt+<the_character_following_undersore>.

Given that file names of isos in Change CD dialog can contain virtually any characters and underscores are pretty common, the menu gets somewhat cluttered and not-exactly-well readable.

The underscores can be escaped by doubling them.

Version-Release number of selected component (if applicable):
sf17

How reproducible:
always

Steps to Reproduce:
1. connect to a RHEV-M VM using user portal and browser plugin
2. display CD list in Spice --> Change CD menu
3.
  
Actual results:
underscores are eaten and characters after them become a hotkey, e.g.:
RHEV-toolsSetup_3.2_7.iso
becomes:
RHEV-toolsSetup3.27.iso
with first dot and "7" characters underlined

Expected results:
The iso file name is unchanged

Additional info:

Comment 2 Lukas Svaty 2014-08-19 14:49:39 UTC
verified in ovirt-rc1 still some weird font make CD test_.__.___._.__.iso
a bit unordinary but still bug is VERIFIED
if someone is bothered by the font issue in WinXP IE8 reopen new bug

adding screenshot of it

Comment 3 Lukas Svaty 2014-08-19 14:50:39 UTC
Created attachment 928393 [details]
Totally readable font on CD

Comment 4 Omer Frenkel 2015-02-17 08:29:58 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.